add_subdirectory( icons )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kvpnc (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        kvpnc.skel
        addnetworkroutedialogbase.ui ciscocertificateenrollmentbase.ui
        ciscocertificateenrollmentdatadialogbase.ui
        ciscocertificateenrollmentfinishwidgetbase.ui
        configconnectoptionsbase.ui configdaemonoptionsbase.ui
        configdebugoptionsbase.ui configgeneraloptions.ui
        confighelperprogramoptionsbase.ui configlogoptionsbase.ui
        displaycertdialogbase.ui enterpassworddialogbase.ui
        enterxauthinteractivepasscodedialogbase.ui
        generateopenvpnkeydialogbase.ui helpdialog.cpp helpdialogbase.ui
        importcertificatedialogbase.ui importopenvpnprofiledialogbase.ui
        importprofiledialogbase.ui kvpncimportprofileselectiondialogbase.ui
        logviewerdialogbase.ui mainviewbase.ui manageciscocertbase.ui
        newprofiledialogbase.ui newprofilewizardauthselection.ui
        newprofilewizardcert.ui newprofilewizardciscomanually.ui
        newprofilewizardciscoselection.ui newprofilewizardconnectionstatuscheck.ui
        newprofilewizardconnectoptions.ui newprofilewizardfreeswan.ui
        newprofilewizardgeneral.ui newprofilewizardnat.ui
        newprofilewizardnetwork.ui newprofilewizardnetworkroute.ui
        newprofilewizardopenvpn.ui newprofilewizardopenvpnauth.ui
        newprofilewizardopenvpnselection.ui newprofilewizardp12certselection.ui
        newprofilewizardpptp.ui newprofilewizardpsk.ui newprofilewizardracoon.ui
        newprofilewizardstart.ui newprofilewizardtypeselection.ui
        newprofilewizarduser.ui profilecertoptionsbase.ui
        profileciscooptionsbase.ui profilecmdexecafterconnectoptionsbase.ui
        profilecmdexecafterdisconnectoptionsbase.ui
        profilecmdexecbeforeconnectoptionsbase.ui
        profilecmdexecbeforedisconnectoptionsbase.ui
        profilegeneraloptionsbase.ui profileipsecoptionsbase.ui
        profilenetworkgeneraloptionsbase.ui profilenetworkhttpproxyoptionsbase.ui
        profilenetworknatoptionsbase.ui profilenetworkrouteoptionsbase.ui
        profilenetworkvirtualipoptionsbase.ui profileopenvpnoptionsbase.ui
        profilepptpoptionsbase.ui profilepskoptionsbase.ui
        profileracoonoptionsbase.ui profilesmartcardoptionsbase.ui
        profilesshoptionsbase.ui profileuseroptionsbase.ui
        profilevtunoptionsbase.ui toolsinfowidgetbase.ui
        addnetworkroutedialog.cpp ciscocertificateenrollment.cpp
        ciscocertificateenrollmentdatadialog.cpp ciscopasswddecoder.cpp
        configdebugoptions.cpp configconnectoptions.cpp configdaemonoptions.cpp
        confighelperprogramoptions.cpp configlogoptions.cpp debugoutputtextedit.cpp
        displaycertdialog.cpp enterpassworddialog.cpp
        enterxauthinteractivepasscodedialog.cpp generateopenvpnkeydialog.cpp
        importcertificatedialog.cpp importipsecprofiledialog.cpp
        importopenvpnprofiledialog.cpp importprofiledialog.cpp
        kfeedback.cpp kvpnc.cpp kvpncconfig.cpp kvpncimportprofileselectiondialog.cpp
        kvpnckicker.cpp listviewtooltip.cpp logviewerdialog.cpp  main.cpp
        mainview.cpp manageciscocert.cpp networkinterface.cpp newprofiledialog.cpp
        newprofilewizard.cpp openvpnmanagementhandler.cpp preferencesdialog.cpp
        profilecertoptions.cpp profileciscooptions.cpp
        profilecmdexecafterconnectoptions.cpp profilecmdexecafterdisconnectoptions.cpp
        profilecmdexecbeforeconnectoptions.cpp profilecmdexecbeforedisconnectoptions.cpp
        profilegeneraloptions.cpp profileipsecoptions.cpp
        profilenetworkgeneraloptions.cpp profilenetworkhttpproxyoptions.cpp
        profilenetworknatoptions.cpp profilenetworkrouteoptions.cpp
        profilenetworkvirtualipoptions.cpp profileopenvpnoptions.cpp
        profilepptpoptions.cpp profilepskoptions.cpp profileracoonoptions.cpp
        profilesmartcardoptions.cpp profilesshoptions.cpp profileuseroptions.cpp
        profilevtunoptions.cpp toolinfo.cpp toolsinfodialog.cpp utils.cpp
        vpnaccountdata.cpp vpntypesinfodialog.cpp widgetnotifyhelper.cpp 
  LINK
     tdeui-shared
     tdecore-shared
     tdeio-shared
     tdewalletclient-shared
     ${LIBGCRYPT_LIBRARIES} 
     
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data


install(
    PROGRAMS ping_check.sh
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

install(
    FILES
        kvpncui.rc
        newprofilewizard.png
        newprofilewizard_final.png
        ovpn.protocol

    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop(
    SOURCE eventsrc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

install(
    FILES pcf.protocol
    DESTINATION ${SERVICES_INSTALL_DIR}
)

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )
